/// <reference types="jest" />
import Test = jest.Test;
import TestResult = jest.TestResult;
import ReporterOnStartOptions = jest.ReporterOnStartOptions;
import Context = jest.Context;
import { Logger } from "../utils/Logger";
import { IJestStareConfig } from "../processor/doc/IJestStareConfig";
export declare class Reporter {
    mGlobalConfig: jest.GlobalConfig;
    private mOptions;
    private mJestStareConfig;
    private mLog;
    constructor(mGlobalConfig: jest.GlobalConfig, mOptions: any);
    onRunStart(results: jest.AggregatedResult, options: ReporterOnStartOptions): void;
    onTestStart(test: Test): void;
    onTestResult(test: Test, testResult: TestResult, results: jest.AggregatedResult): void;
    onRunComplete(contexts: Set<Context>, results: jest.AggregatedResult): void;
    jestStareConfig: IJestStareConfig;
    logger: Logger;
}
